features:
  secondary:
    - name: "Disable inheritance of defaults and variables"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/yaml/README.html#inherit'
      reporter: thaoyeager
      stage: verify
      categories:
        - 'Continuous Integration (CI)'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/207484'
      description: |
        Previously, users had the ability to set certain parameters as global defaults for all of their jobs by using the `default:` keyword. However, disabling these defaults for a particular job required manually overwriting each setting and was inefficient. Additionally, it wasn't possible to prevent the inheritance of variables once they were defined as global defaults.

        In GitLab 12.9, we've now added the ability to disable the inheritance of globally defined defaults and variables. Using the `inherit:` parameter, users can explicitly define what is inherited from the global defaults and more easily define a job's behavior.
